Subject: Re: Mounts and relative pathnames
From: [email-masked] (Kenneth Chiu)

15 Mar 1998 00:51:09 -0800
Message-ID: <Pine.BSF.3.96.980312000031.377C-100000.cygnus.gnu-win32@localhost>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Larry Hall <[email-masked]>
Cc: [email-masked]

On Tue, 10 Mar 1998, Larry Hall wrote:
> At 11:58 AM 3/9/98 -0500, Kenneth Chiu wrote:
> >I seem to have a problem with 'ls' and relative pathnames.  I have
> >searched the FAQ and the mailing list archives, but haven't found
> >anything.  Suppose I do the following sequence:
> >
> >    mount N:/root /
> >    mount N:/dir1 /usr
> >    cd /
> >    ls usr
> >
> >I would expect to see the contents of N:/dir1, but instead I see
> >nothing.  If I type 'ls /usr', I see what I expect, so I think I'm
> >executing the correct 'ls'.  If I type 'cd usr', and then 'ls', I
> >also see what I expect.
> 
> There you have to create a directory to mount to (in this case 'usr') 
> before the mount would succeed.  Now, granted, if you follow this procedure,
> its likely not going to work quite as you expect either.

Hmm...if I don't create the directory before the mount, then nothing
seems to show up if I go to the parent and do 'ls'.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".